Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
THIEN-MINH

cần giúp - ve líp cad text

Các bài được khuyến nghị

THIEN-MINH    0

chào các bạn!]]

mình có vấn đề là mình muốn có một lisp cad có thể đánh lệnh-> pick vào text thì font time new roment dổi thành font arial ..

 

bạn nào giúp mình với.... thanks rất nhiếu

mong tin!

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pphung183    425

Đây bạn :) :

(defun c:FIXS (/) (c:FIXSTYLE))
(defun c:fixstyle (/ cmd OLD CO ST NEWHT TEMP OLDHT NEWWID)
(command "undo" "be")
(setq cmd (getvar "cmdecho")) (setvar "cmdecho" 0)
(command "_.-STYLE" "ARIAL" "arial.ttf" "0" "0.8" "0" "N" "N") 
(setq OLD (ssget "X" '((0 . "*TEXT"))))
(if OLD
(progn
(setq ST (getvar "textstyle"))
(if (tblsearch "style" ST)
(progn (setq NEWHT (assoc 40 (tblsearch "style" ST)))
(if (not (> (cdr NEWHT) 0))
(progn (prompt "\n The style you have chosen has a preset height of 0.")
(prompt "\n The existing height of the text will be maintained.")
)
)
(setq CO 0)
(while (< CO (sslength OLD))
(progn (setq TEMP (entget (ssname OLD CO))
CO (1+ CO)
)
(if (or (= "TEXT" (cdr (assoc 0 TEMP))) (= "MTEXT" (cdr (assoc 0 TEMP))))
(progn (setq OLDHT (assoc 40 TEMP))
(setq NEWWID (assoc 41 (tblsearch "style" ST))
NEWHT (assoc 40 (tblsearch "style" ST))
)
(if (= (cdr NEWHT) 0.0)
(setq NEWHT OLDHT)
)
(setq TEMP (subst (cons 7 ST) (assoc 7 TEMP) TEMP))
(setq TEMP (subst NEWWID (assoc 41 TEMP) TEMP))
(setq TEMP (subst NEWHT (assoc 40 TEMP) TEMP))
(entmod TEMP)
)
)
)
)
)
)
)
(prompt "\n Next time select a text style that exists.")
) (setvar "cmdecho" cmd)
(command "undo" "e")
(princ))

Nhớ là các Text phải cùng kiểu gõ Unicode nhé, nếu ko thì ra chữ Kampuchia thì tui ko chịu trách nhiệm :D

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
THIEN-MINH    0

Đây bạn :) :

(defun c:FIXS (/) (c:FIXSTYLE))
(defun c:fixstyle (/ cmd OLD CO ST NEWHT TEMP OLDHT NEWWID)
(command "undo" "be")
(setq cmd (getvar "cmdecho")) (setvar "cmdecho" 0)
(command "_.-STYLE" "ARIAL" "arial.ttf" "0" "0.8" "0" "N" "N") 
(setq OLD (ssget "X" '((0 . "*TEXT"))))
(if OLD
(progn
(setq ST (getvar "textstyle"))
(if (tblsearch "style" ST)
(progn (setq NEWHT (assoc 40 (tblsearch "style" ST)))
(if (not (> (cdr NEWHT) 0))
(progn (prompt "\n The style you have chosen has a preset height of 0.")
(prompt "\n The existing height of the text will be maintained.")
)
)
(setq CO 0)
(while (< CO (sslength OLD))
(progn (setq TEMP (entget (ssname OLD CO))
CO (1+ CO)
)
(if (or (= "TEXT" (cdr (assoc 0 TEMP))) (= "MTEXT" (cdr (assoc 0 TEMP))))
(progn (setq OLDHT (assoc 40 TEMP))
(setq NEWWID (assoc 41 (tblsearch "style" ST))
NEWHT (assoc 40 (tblsearch "style" ST))
)
(if (= (cdr NEWHT) 0.0)
(setq NEWHT OLDHT)
)
(setq TEMP (subst (cons 7 ST) (assoc 7 TEMP) TEMP))
(setq TEMP (subst NEWWID (assoc 41 TEMP) TEMP))
(setq TEMP (subst NEWHT (assoc 40 TEMP) TEMP))
(entmod TEMP)
)
)
)
)
)
)
)
(prompt "\n Next time select a text style that exists.")
) (setvar "cmdecho" cmd)
(command "undo" "e")
(princ))

Nhớ là các Text phải cùng kiểu gõ Unicode nhé, nếu ko thì ra chữ Kampuchia thì tui ko chịu trách nhiệm :D

thanks bạn , nhungh sao nó vẫn chưa được ban oi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pphung183    425

Load lisp. Gõ lệnh Fixs là tự động đổi hết các Text trong bản vẽ về loại  textStyle "ARIAL" có font Arial.

Nếu muốnn quét chọn thì chỗ (setq OLD (ssget "X" '((0 . "*TEXT")))) đổi thành (setq OLD (ssget '((0 . "*TEXT"))))

:)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×